# Tmpl.pm -- HTML templates for RoBlog                     -*- fundamental -*-
# 
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2.1 of the License, or (at your option)
# any later version.
# 
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU Library General Public License for
# more details.
# 
# You should have received a copy of the GNU Library General Public License
# along with this library; if not, write to the Free Software Foundation, Inc.,
# 59 Temple Place - Suite 330, Boston, MA  02111-1307  USA.
#
package RoBlog::Tmpl;

use RoBlog::Config;

my $leftdist = 200;
my $leftdistm = $leftdist-1;
my $leftdistp = $leftdist+1;
my $leftdistp12 = $leftdist+12;
my $topdist = 120;
my $topdistm = $topdist-1;

$css_style = <<"EOF";
body {
  margin:0px 10px 0px 10px;
  padding:0px;
  background:black;
  color:#C0FFFF;
  font-family:sans-serif;
  font-size:11pt;
}
a:link {
  text-decoration:none;
  color:#33FF33;
}
a:visited {
  text-decoration:none;
  color:#009900;
}
a:hover {
  text-decoration:none;
  color:#FF0000;
}

.centered {
  margin-left:auto;
  margin-right:auto;
  text-align:center;
}
.fullsize {
  width:100%;
}
.imgleft {
  float:left;
  margin-right:2em;
}
.imgleft {
  float:right;
  margin-left:2em;
}
.imginline {
  vertical-align:middle;
}

#headbox {
  height:${topdist}px;
  voice-family: "\"}\"";
  voice-family: inherit;
  height:${topdistm}px;
}
html>body #headbox {
  height:${topdistm}px;
}
#headbox h1 {
  padding:10px 10px 0px 10px;
  margin:0px;
  vertical-align:bottom;
}
#headimage {
  vertical-align:bottom;
}
.headbigtext {
  vertical-align:bottom;
  font-size:180%;
  color: #FF4444;
  margin-left:6px;
  margin-right:6px;
}
.headsmalltext {
  vertical-align:bottom;
  font-size:120%
}

#navbox {
  position:absolute;
  left:10px;
  top:${topdist}px;
  width:${leftdist}px;
}

#inavbox {
  border:1px solid #33FF33;
  margin:0px 10px 0px 0px;
  padding:10px;
}
.navitem {
  list-style-image:url(/img/bomb.png);
  vertical-align:middle;
}
.navhead {
  padding-top: 0.5ex;
  padding-bottom: 0.5ex;
}

#mainbox {
  margin-top:0px;
  margin-left:${leftdistm}px;
  min-height:400px;
  /* IE5 trick */
  voice-family: "\"}\"";
  voice-family: inherit;
  margin-left:${leftdistp}px;
}
html>body #mainbox {
  margin-left:${leftdistp}px;
}

#footrule {
  background-color:#33FF33;
  margin-top:10px;
  margin-bottom:0px;
}
#footbox {
  height:50px;
  margin-bottom:10px;
  voice-family: "\"}\"";
  voice-family: inherit;
  height:49px;
}
html>body #footbox {
  height:49px;
}
#footbox p,h1 {
  padding:10px 10px 0px 10px;
  margin:0px;
  font-size:83%;
}
#foottable {
  width:100%;
}
#footleft {
  width:100%;
}

.pageindex {
  width:100%;
  background-color:#444444;
  margin:5px 0px 5px 0px;
  padding:2px 0px 2px 0px;
  text-align:center;
}
.pidxprev {
  position:absolute;
  left:${leftdistp12}px;
}
.pidxnext {
  position:absolute;
  right:12px;
}
.pidxnum {
  word-spacing:0.4em;
}
.pidxcurr {
  font-weight:bold;
}

.storylistitem {
  list-style-image:url(/img/bomb.png);
  vertical-align:middle;
}

.storybox {
  margin:12px 0px 12px 0px;
  padding:10px 10px 10px 10px;
}
.storyheading {
  padding-top:0.5ex;
  font-size:144%;
  font-weight: bold;
  color: #FF6666
}
.storydate {
  padding-bottom:1.5ex;
  font-size:90%;
  color: #FF6666
}
.storybody p {
  text-indent:0px;
  margin-left:0px;
  padding-bottom:0.7ex;
}
.storyedited {
  font-size:90%;
  padding-top:0.5ex;
}
.bodyhead {
  padding-top:1ex;
  padding-bottom:1ex;
  margin-left:0px;
  text-indent:0px;
  font-size:120%;
  font-weight:bold;
  color:#FF6666;
}
.bodylist {
  list-style:outside;
  padding-left:2em;
}
.bodylistitem {
  padding-left:0.5em;
}

.pingbackbox {
  font-size:90%;
  padding-top:0.5ex;
  padding-bottom:1ex;
}
.pingbackhead {
  font-weight:bold;
}
.makecomment {
  font-size:90%;
  padding-top:0.5ex;
}
.commentbox {
  margin-left:-1.5em;
}
.commenttitle {
  padding-top:2ex;
  margin-left:1.5em;
  font-size:120%;
  font-weight: bold;
  color: #FF6666
}
.comment {
  margin:2ex 0em 2ex 1.5em;
}
.commentname {
  font-weight:bold;
}
.commentemail {
  font-style:italic;
}
.commentbody p {
  text-indent:0px;
  margin-left:0px;
  padding-bottom:0.5ex;
}

.searchform {
  padding-top:2px;
}
.searchresults {
  margin-top:1ex;
}
.searchtitle {
  font-size:120%;
  color:#FF6666;
}
.searchhead {
  padding-top:1ex;
  color:#FF6666;
}
.searchexcerpt {
  font-size:90%;
}
.searchhighlight {
  font-weight:bold;
}

.mkcommhead {
  padding-bottom:1ex;
  font-size:120%;
  font-weight:bold;
  color:#FF6666;
}
.mkcommtable td {
  padding:2px 2px 2px 2px;
}
.mkcommtextarea {
  font-size:100%;
  width:100%;
}
.mkcommcitehead {
  margin-top:3ex;
  margin-bottom:1ex;
  font-weight:bold;
  color:#FF6666;
}
.mkcommcite {
  font-size:83%;
}
.mkcommerror {
  font-weight:bold;
  color:#FF4444;
}

.smallerbody {
  width:80%;
  margin-left:auto;
  margin-right:auto;
  margin-top:3ex;
}

p,h1,h2,h3,pre {
  margin:0px 10px 10px 10px;
}
h1 {
  padding-top:8px;
  padding-bottom:8px;
  margin-left:0px;
  font-size:140%;
  color:#FF6666;
}
h2 {
  padding-top:4px;
  margin-left:0px;
  font-size:120%;
  color:#FF6666;
}
h3 {
  padding-top:4px;
  padding-bottom:4px;
  margin-left:0px;
  font-size:100%;
}
blockquote {
  font-style:italic;
}
blockquote p {
  padding:0px 0px 0.4ex 0px;
  margin:0px 0px 0px 0px;
  font-style:italic;
}
EOF

$atomfeed = <<EOF;
<?xml version="1.0" encoding="utf-8" ?>
<?xml-stylesheet href="http://www.blogger.com/styles/atom.css" type="text/css"?>
<feed xmlns="http://www.w3.org/2005/Atom" xml:lang="$lang">
 <title type="text">__TITLE__</title>
 <link rel="self" href="http://$hostname$basepath/feed" />
 __FEED__
 __POST__
 <id>http://$hostname$basepath</id>
 <generator>RoBlog</generator>
 <updated>__DATE__</updated>

__ENTRIES__
</feed>
EOF
$atomentry = <<EOF;
<entry>
 <published>__DATE__</published>
 <issued>__DATE__</issued>
 <updated>__MDATE__</updated>
 <link href="__LINK__" rel="alternate" title="__HEADING__" type="text/html"/>
 __FEED__
 __POST__
 __EDIT__
 <title>__HEADING__</title>
 <id>__LINK__</id>
 __CONTENT__
</entry>
EOF
$atomcontent = <<EOF;
<content type="text/html"><div xmlns="http://www.w3.org/1999/xhtml">
__TEXT__
</div></content>
EOF
$atomcontentref = <<EOF;
<content src="__LINK__" type="text/html" />
EOF
$atomlink = <<EOF;
<link rel="__REL__" href="http://$hostname$basepath/__LINK__" title="$blogtitle" type="application/atom+xml"/>
EOF

$htmlhead = <<EOF;
<?xml version="1.0" encoding="utf-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="de-DE" xml:lang="de-DE">
<head>
<title>__TITLE__</title>
<link type="text/css" rel="stylesheet" href="$basepath/style.css" />
<link rel="pingback" href="$baseurl/pingback" />
<link type="application/atom+xml" rel="feed" href="$basepath/feed" title="$blogtitle" />
<link rel="SHORTCUT ICON" href="$baseurl/img/black-penguin.ico" />
</head>
<body>
EOF

$header = <<EOF;
<div id="headbox">
  <h1 class="centered">
    <span class="headsmalltext">Bombenlegers</span>
    <span class="headbigtext">Black</span>
    <img id="headimage" alt="Black Penguin" src="/img/black-penguin.png" />
    <span class="headbigtext">Penguin</span>
    <span class="headsmalltext">Blog</span>
  </h1>
</div>
EOF

$navigation = <<EOF;
<div id="navbox">
  <div id="inavbox">
    <h3>Navigation:</h3>
    <ul class="navhead">
      <li class="navitem"><a href="$basepath/">Neueste</a></li>
      <li class="navitem"><a href="$basepath/all">Index</a></li>
      <li class="navitem"><a href="$basepath/search">Suchen</a></li>
      <li class="navitem"><a href="$basepath/expr">Expressum</a></li>
    </ul>
    <h3>Kategorien:</h3>
    <ul class="navhead">
      __CATLINKS__
    </ul>
  </div>
</div>
EOF
$navcatlink = <<EOF;
      <li class="navitem"><a href="__LINK__">__TEXT__</a></li>
EOF

$mainstart = <<EOF;
<div id="mainbox">
EOF
$mainend = <<EOF;
</div>
EOF

$pageindex = <<EOF;
<div class="pageindex">
  __PREVLINK__
  __INDEX__
  __NEXTLINK__
</div>
EOF
$pidxprev = <<EOF;
<a class="pidxprev" href="__LINK__">&lt;&lt;&lt;</a>
EOF
$pidxnext = <<EOF;
<a class="pidxnext" href="__LINK__">&gt;&gt;&gt;</a>
EOF
$pidxnums = <<EOF;
<span class="pidxspan">__NUMS__</span>
EOF
$pidxcurr = <<EOF;
<span class="pidxcurr">__NUM__</span>
EOF
$pidxnum = <<EOF;
<a class="pidxnum" href="__LINK__">__NUM__</a>
EOF

$storylist = <<EOF;
<h2>__MONTH__:</h2>
<ul>
__ITEMS__
</ul>
EOF
$storylistitem = <<EOF;
  <li class="storylistitem"><a href="__LINK__">__TIME__: __TEXT__</a></li>
EOF

$story = <<EOF;
<div class="storybox">
  <div class="storyheading">__HEADING__</div>
  <div class="storydate">__DATE__</div>
  <div class="storybody">
    __TEXT__
  </div>
  __EDITED__
  __PINGBACKS__
  __MAKECOMMENT__
  __COMMENTS__
</div>
EOF
$edited = <<EOF;
<div class="storyedited">(Zuletzt editiert __DATE__)</div>
EOF
$makecomment = <<EOF;
<div class="makecomment"><a href="__LINK__">Kommentieren</a></div>
EOF

$pingbacks = <<EOF;
<div class="pingbackbox">
  <div class="pingbackhead">Pingbacks:</div>
  __PINGBACKS__
</div>
EOF
$pingback = <<EOF;
    <div class="pingback">__DATE__: <a href="__LINK__">__TITLE__</a></div>
EOF

$bodyhead = <<EOF;
<div class="bodyhead">__TEXT__</div>
EOF
$bodypara = <<EOF;
<p class="bodypara">
__TEXT__
</p>
EOF
$bodylink = '<a href="__LINK__">__TEXT__</a>';
$bodyclear = <<EOF;
<div style="clear:both"></div>
EOF
$bodyimg = <<EOF;
<div style="width:100%">
  <img src="__LINK__" alt="__NAME__" class="centered" />
</div>
EOF
$bodyimg{left} = <<EOF;
<div>
  <img src="__LINK__" alt="__NAME__" class="imgleft" />
</div>
EOF
$bodyimg{right} = <<EOF;
<div>
  <img src="__LINK__" alt="__NAME__" class="imgright" />
</div>
EOF
$bodyimg{inline} = '<img src="__LINK__" alt="__NAME__" class="imginline" />';
$bodylist{u_start} = <<EOF;
<ul class="bodylist">
EOF
$bodylist{u_end} = <<EOF;
</ul>
EOF
$bodylist{o_start} = <<EOF;
<ol class="bodylist">
EOF
$bodylist{o_end} = <<EOF;
</ol>
EOF
$bodylist{item_start} = <<EOF;
<li class="bodylistitem">
EOF
$bodylist{item_end} = <<EOF;
</li>
EOF
$bodyquote = <<EOF;
<blockquote>
EOF
$bodyquoteend = <<EOF;
</blockquote>
EOF

$comments = <<EOF;
<div class="commentbox">
  __COMMENTS__
</div>
EOF
$comment = <<EOF;
<div class="comment">
  <div class="commenthead">
    <span class="commentdate">__DATE__</span>: von 
    <span class="commentname">__NAME__</span>__EMAIL__
  </div>
  <div class="commentbody">
    __TEXT__
  </div>
  __MAKECOMMENT__
  __SUBCOMMENTS__
</div>
EOF
$email_in_paren = '(<a class="commentemail" href="mailto:__ADDR__">__NAME__</a>)';

$mkcommtitle = "Kommentar";
$mkcommpage = <<EOF;
<form method="post" action="__LINK__" enctype="application/x-www-form-urlencoded">
  <div class="mkcommform">
    <div class="mkcommhead">Kommentar eingeben:</div>
    <table class="mkcommtable">
      <tr>
        <td>Name:</td>
        <td><input class="fullsize" type="text" name="name" value="__NAME__" /></td>
        <td>__NAMEERROR__</td>
      </tr>
      <tr>
        <td>E-Mail:</td>
        <td><input class="fullsize" type="text" name="email" value="__EMAIL__" size="60" /></td>
        <td></td>
      </tr>
      <tr>
        <td style="vertical-align:top">Text:</td>
        <td><textarea class="mkcommtextarea" name="text" rows="15" cols="80">__TEXT__</textarea></td>
        <td>__TEXTERROR__</td>
      </tr>
      <tr><td class="centered" colspan="3">
        <input type="submit" value="Abschicken" />
      </td></tr>
    </table><br/>
    <div class="mkcommcitehead">Originaltext:</div>
    <div class="mkcommcite">__ORIGTEXT__</div>
  </div>
</form>
EOF
$mkcommerror = <<EOF;
<span class="mkcommerror">!!</span>
EOF

$searchtitle = "Suche";
$searchpage = <<EOF;
<form method="post" action="search" enctype="application/x-www-form-urlencoded">
 <div class="searchform">
  Volltextsuche nach:
  <input type="text" name="text" value="__PREVPATTERN__" size="50" />
  <input type="submit" value="Suchen" accesskey="s" />
 </div>
</form>
__RESULTS__
EOF
$searchresults = <<EOF;
<div class="searchresults">
  <div class="searchtitle">Ergebnisse:</div>
  __RESULTS__
</div>
EOF
$searchnoresults = <<EOF;
<div class="searchresults">
  <div class="searchtitle">Leider nichts gefunden.</div>
</div>
EOF
$searchresult = <<EOF;
<div class="searchresult">
  <div class="searchhead">
    <a href="__LINK__">__DATE__: __HEADING__</a>
  </div>
  <div class="searchexcerpt">
    __EXCERPT__
  </div>
</div>
EOF
$searchhighlight = <<EOF;
<span class="searchhighlight">__TEXT__</span>
EOF

$footer = <<EOF;
<hr id="footrule" />
<div id="footbox">
  <table id="foottable"><tr>
    <td id="footleft" align="left" valign="middle">
      <p>
        Powered by:
        <a href="http://www.estw.de/">ESTW</a>,
        <a href="http://www.amd.com/">AMD</a>,
        <a href="http://www.kernel.org/">Linux</a>,
        <a href="http://www.cl.cam.ac.uk/Research/SRG/netos/xen/">Xen</a>,
        <a href="http://www.debian.org/">Debian</a>,
        <a href="http://www.perl.org/">Perl</a>,
        <a href="http://www.apache.org/">Apache</a>,
        <a href="http://perl.apache.org/">mod_perl2</a>,
        <a href="http://www.hodek.net/maintain.html#RoBlog">RoBlog</a>,
        <a href="http://www.leikeim.info">Leikeim</a>,
        <a href="http://www.gauloises.com">Gauloises</a>,
        <a href="http://www.hodek.net/pictures/Roman/005.jpg">myself</a>,
        and probably many more.
      </p>
    </td>
    <td id="footright" align="right" valign="middle">
      <span style="white-space:nowrap">
        <a href="http://validator.w3.org/check?uri=referer">
          <img style="border:0;width:88px;height:31px" src="http://www.w3.org/Icons/valid-xhtml10"
          alt="Valid XHTML 1.0!" height="31" width="88" /></a>
        <a href="http://jigsaw.w3.org/css-validator/">
          <img style="border:0;width:88px;height:31px"
               src="http://jigsaw.w3.org/css-validator/images/vcss" 
               alt="Valid CSS!" /></a>
        <img style="border:0;width:88px;height:31px"
             src="/img/ipv6_accessible.png" alt="ipv6 accessible" />
      </span>
    </td>
  </tr></table>
</div>
</body>
</html>
EOF

$staticpagetitle{expr} = "Expressum";
$staticpage{expr} = <<EOF;
<div class="smallerbody">
  <p class="bodypara">
  Mein Name, Adresse usw. sind nicht schwer herauszufinden, ich
  sehe aber &uuml;berhaupt nicht sein, sie an dieser Stelle
  irgendwelchen dubiosen Adre&szlig;sammlern (Spammern, Abmahnern,
  ...) in maschinenlesbarer Form zum Fra&szlig; vorzuwerfen.
  </p>
  <p class="bodypara">
  Man kann mich gerne per E-Mail unter
  <a href="mailto:bombenleger\@blog.hodek.net">bombenleger\@blog.hodek.net</a>
  erreichen oder einfach einen Kommentar schreiben.
  </p>
</div>
EOF

1;
